<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.commerce.pricing.web.internal.portlet.CommercePromotionPortlet" enabled="false" immediate="true">
  <property name="com.liferay.portlet.add-default-resource" type="String" value="true"/>
  <property name="com.liferay.portlet.css-class-wrapper" type="String" value="portlet-commerce-promotion"/>
  <property name="com.liferay.portlet.display-category" type="String" value="category.hidden"/>
  <property name="com.liferay.portlet.header-portlet-css" type="String" value="/css/main.css"/>
  <property name="com.liferay.portlet.layout-cacheable" type="String" value="true"/>
  <property name="com.liferay.portlet.preferences-owned-by-group" type="String" value="true"/>
  <property name="com.liferay.portlet.preferences-unique-per-layout" type="String" value="false"/>
  <property name="com.liferay.portlet.private-request-attributes" type="String" value="false"/>
  <property name="com.liferay.portlet.private-session-attributes" type="String" value="false"/>
  <property name="com.liferay.portlet.render-weight" type="String" value="50"/>
  <property name="com.liferay.portlet.scopeable" type="String" value="true"/>
  <property name="javax.portlet.display-name" type="String" value="Promotions"/>
  <property name="javax.portlet.expiration-cache" type="String" value="0"/>
  <property name="javax.portlet.init-param.view-template" type="String" value="/price_lists/view.jsp"/>
  <property name="javax.portlet.name" type="String" value="com_liferay_commerce_pricing_web_internal_portlet_CommercePromotionPortlet"/>
  <property name="javax.portlet.resource-bundle" type="String" value="content.Language"/>
  <property name="javax.portlet.security-role-ref" type="String" value="power-user,user"/>
  <service>
    <provide interface="com.liferay.commerce.pricing.web.internal.portlet.CommercePromotionPortlet"/>
    <provide interface="javax.portlet.Portlet"/>
  </service>
  <reference name="_commerceCatalogService" interface="com.liferay.commerce.product.service.CommerceCatalogService" field="_commerceCatalogService"/>
  <reference name="_commerceCurrencyService" interface="com.liferay.commerce.currency.service.CommerceCurrencyService" field="_commerceCurrencyService"/>
  <reference name="_commercePriceListModelResourcePermission" interface="com.liferay.portal.kernel.security.permission.resource.ModelResourcePermission" target="(model.class.name=com.liferay.commerce.price.list.model.CommercePriceList)" field="_commercePriceListModelResourcePermission"/>
  <reference name="_commercePriceListService" interface="com.liferay.commerce.price.list.service.CommercePriceListService" field="_commercePriceListService"/>
  <reference name="_commercePriceModifierService" interface="com.liferay.commerce.pricing.service.CommercePriceModifierService" field="_commercePriceModifierService"/>
  <reference name="_commercePriceModifierTypeRegistry" interface="com.liferay.commerce.pricing.type.CommercePriceModifierTypeRegistry" field="_commercePriceModifierTypeRegistry"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.commerce.pricing.web.internal.portlet.CommercePromotionPortlet"/>
</scr:component>
